Contents

# RGB Function [VBA]

Returns a Long integer color value consisting of red, green, and blue components, according to VBA color formula.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    RGB (Red, Green, Blue)

### Return value:

Long

### Parameters:

red: Any integer expression that represents the red component (0-255) of the composite color.

green: Any integer expression that represents the green component (0-255) of the composite color.

blue: Any integer expression that represents the blue component (0-255) of the composite color.

Because of the VBA compatibility mode (Option VBASupport 1), the Long value is calculated as
Result = red + green×256 + blue×65536.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    Option VBASupport 1
    Sub ExampleRGBVBA
    Dim lVar As Long
        lVar = rgb(128,0,200)
        Print lVar; ' returns 13107328
    End Sub